//===========================================================================//
// File:	ElevationMap_Tool.cpp									
//---------------------------------------------------------------------------//
//   Date    Who  Modification                                               //
// --------  ---  ---------------------------------------------------------- //
// 12/21/98  BDB  Inital base class based off of Adept Entity
//---------------------------------------------------------------------------//
// Copyright (C) 1998, Fasa Interactive										 //
// All Rights reserved worldwide                                             //
// This unpublished sourcecode is PROPRIETARY and CONFIDENTIAL               //
//===========================================================================//

#include "MW4Headers.hpp"

#if !defined(MW4ANIMATIONSYSTEM_HPP)
	#include <MW4AnimationSystem.hpp>
#endif


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
ElevationMap*
	ElevationMap::ToolMake(
		FactoryRequestParameters *parameters,
		CreationParameters *creation_parameters 
	)
{
	ElevationMap *new_entity;
	Entity__Make(&new_entity, DefaultData, parameters, creation_parameters);
	return new_entity;
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
ElevationMap::ElevationMap(
	ClassData *class_data,
	FactoryRequestParameters *parameters,
	CreationParameters *creation_parameters
):
	Entity(class_data, parameters)
{
	Check_Pointer(this);
	Check_Object(parameters);

	SetTemplateFlag();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
bool
	ElevationMap::CreateGameModel(GameModelParameters *parameters)
{
	Check_Object(parameters);

	//
	//----------------------
	// Call inherited method
	//----------------------
	//
	bool result = Entity::CreateGameModel(parameters);

	Check_Object(DefaultData);
	return result;
}
